#!/bin/bash

CONTAINER=$1

if [ -z "$CONTAINER" ]; then echo "Missing parameter"; exit 1 ; fi

lxc exec $CONTAINER -- apt update
lxc exec $CONTAINER -- apt install -y python-pip python-pycurl python-cherrypy3 python-crypto python-passlib
lxc exec $CONTAINER -- useradd -m -s /bin/bash shinken
lxc exec $CONTAINER -- pip install shinken
lxc exec $CONTAINER -- update-rc.d shinken defaults
lxc exec $CONTAINER -- service shinken start

