#!/bin/bash

CONTAINER=$1

if [ -z "$CONTAINER" ]; then echo "Missing parameter"; exit 1 ; fi

lxc exec $CONTAINER -- apt update
lxc exec $CONTAINER -- apt install -y xterm openssh-server

lxc exec $CONTAINER -- wget https://xpra.org/dists/trusty/main/binary-amd64/python-rencode_1.0.3-1_amd64.deb && dpkg -i python-rencode_1.0.3-1_amd64.deb

lxc exec $CONTAINER -- apt install python-gtkglext1 python-opengl python-lzo python-appindicator libswscale2 libwebp5 libx264-142 libxkbfile1 x11-xserver-utils xvfb python-numpy python-imaging

lxc exec $CONTAINER -- wget https://xpra.org/dists/trusty/main/binary-amd64/xpra_0.15.10-1_amd64.deb && dpkg -i xpra_0.15.10-1_amd64.deb

lxc exec $CONTAINER -- useradd -m -s /bin/bash xpra

